Bug 90395 - Viper redboot network load/debug unreliable
Summary: Viper redboot network load/debug unreliable
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: RedBoot (Show other bugs)
(Show other bugs)
Version: 2.0
Hardware: powerpc Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Larmour
QA Contact: Jonathan Larmour
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-07 16:55 UTC by Jonathan Larmour
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 16:25:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Larmour 2003-05-07 16:55:01 UTC
Description of problem:

Using both 2.0 redboot and current CVS trunk, redboot on viper is unreliable
over the net. Loading via GDB by itself seems okay, but it doesn't take much
more traffic for things to go badly wrong. When watching with tcpdump, it seems
things quickly get stuck in a rut with the viper sending a packet, and the host
responding with an ack, but the viper waiting 1 sec and resending anyway.

Verified with both Linux and NT hosts so it's not a host stack problem.

I need to look closer at this, but need the bug entered for 2.0 known problems...

Comment 1 Alex Schuilenburg 2003-06-20 16:25:37 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=90395


Note You need to log in before you can comment on or make changes to this bug.